Debian Bug report logs - #238778
xserver-xfree86: [debconf] set XKB question defaults based on debian-installer/keymap

version graph

Package: xserver-xfree86; Maintainer for xserver-xfree86 is (unknown);

Reported by: "Patrick Tischler" <vampir@gmx.net>

Date: Thu, 18 Mar 2004 18:48:02 UTC

Severity: normal

Tags: help

Merged with 239827, 242321, 242605, 263399

Found in versions 4.3.0-7, 4.3.0.dfsg.1-4

Done: Alexander Schmehl <alexander@schmehl.info>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#238750; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Patrick Tischler" <vampir@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Patrick Tischler" <vampir@gmx.net>
To: submit@bugs.debian.org
Subject: installation-reports
Date: Thu, 18 Mar 2004 19:32:37 +0100 (MET)
[Message part 1 (text/plain, inline)]
Package: installation-reports

Debian-installer-version: 2004-03-16 Debian-Installer beta 3 for i386 from
http://gluck.debian.org/cdimage/testing/sarge_d-i/i386/beta3/sarge-i386-netinst.iso
uname -a: Linux murmeltier 2.4.25-1-386 #1 Tue Feb 24 08:11:13 EST 2004 i686
GNU/Linux
Date: 2004-03-18 11:00 am CET
Method: Debian-Installer beta 3 netinstall; installation from
http://ftp.leo.org; no proxy

Machine: Asus L8400C (in Germany: Medion MD9580A)
Processor: Genuine Intel Pentium III (Coppermine) CPU Mhz 1002.285 (CPU Mhz
with Battery: 701.616) 256KB cache 
Memory: 257024 KB
Root Device: IDE HITACHI_DK23CA-20 20GB /dev/hda
Root Size/partition table: #1 /dev/hda1 primary 510.9MB swap     swap
		           #2 /dev/hda2 primary 19.46GB reiserfs /
Output of lspci: 
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host bridge
(rev 03
)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge (rev
03)
00:06.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1 (rev
12)
00:06.1 Communication controller: ESS Technology ESS Modem (rev 12)
00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
00:08.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139
C+ (rev 10)
00:0a.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
00:0a.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev 80)
01:00.0 VGA compatible controller: S3 Inc. 86C270-294 Savage/MX-MV (rev 12)


Base System Installation Checklist:

Initial boot worked:    [0]
Configure network HW:   [0]
Config network:         [0]
Detect CD:              [0]
Load installer modules: [0]
Detect hard drives:     [0]
Partition hard drives:  [0]
Create file systems:    [0]
Mount partitions:       [0]
Install base system:    [0]
Install boot loader:    [0]
Reboot:                 [0]
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it


Comments/Problems:

My aim was to install a system in American English with a German keyboard
layout.
I'm not sure whether the listed steps of the installationprocess are of use
but here they are. I'll talk about the problems later:

Boot Menu => Enter
Choose Language => en_US 
Keyboard Layout => German (nodeadkeys) 
Try DHCP again => No 
IP => ... 
Netmask => ... 
Gateway => ... 
Nameservers => ... 
hostname => murmeltier 
domain-name => ... 
Partition Disks => Manual (See above) 
Create Filesystems => Yes 
Device for Bootloader GRUB => (hd0) 
System Reboot => Continue 
Welcome => Ok 
GMT => No 
Select time zone => other 
Select time zone => Europe 
Select time zone => Berlin
Root password => *** 
Root password => ***
Full username => Who Cares 
username => whocares 
user password => *** 
user password => ***
apt source => http => Germany => http://ftp.leo.org/ 
Proxy => "" 
Software selection => tasksel 
Tasksel => Selected packages: Desktop environment, Linux Standard Base, X
window system, Office environment, Laptop, Java, C and C++, Python, Tcl/Tk
Lilo => Ok (I use GRUB why this question?) 
Ispell => american 
statd => Ok 
SSH Privilege separation => Ok 
Display Manager => gdm 
Popularity contest => Ok => Participate Yes
X-server driver => savage (WRONG PRESELECTION)
Auto Mouse Detection => yes
Auto Monitor Detection=> yes
Is monitor LCD => yes
configuring => Ok => medium => 1024x768@70Hz
exim4 => Local delivery
Thank you => Ok

#
#  PROBLEMS AT INSTALLTIME:
#

* When I have selected one http mirror the installation routine moves along
to the software selection without asking whether I want to add an additional
mirror. This function existed in Beta2 of the installer.
* A hint about Lilo is displayed that it has to be executed before using it,
but I already installed GRUB. Wouldn't it be better to remove this hint?
* At the selection of the desired X server driver there is a wrong(?)
preselection, namely vesa. Knoppix and SuSE Linux both recommend the savage driver.

#
# PROBLEMS AFTER INSTALLATION:
#

* After Restart one has a pleasant surprise: The X-server configuration
didn't work. Modifying of /etc/X11/XF86Config-4 was necessary. I had/wanted to
change the default colour depth from 24 to 16 and for each colour depth the
resolution from a maximum of 800x600 to 1024x768. 
* Additionaly there was a wrong keyboard layout chosen. The layout was us,
pc104, xfree86, but I wanted de, nodeadkeys, pc105, xfree86. After these
modifications everything worked just fine.
* Another problem is that there exist no entries for the cdrom and the
floppy drive in the /etc/fstab. There exist the folders /floppy and /cdrom why not
enter the fstab entries automatically?
* Another thing was missing, which I already noticed in Beta2: There is no
questin whether someone would like to turn of pcmcia when updating. This was
and is the case for the english installation. The German installation from
Beta2 did ask this question. You can manually configure this by dpkg-reconfigure
pcmcia-cs.
* By the way: Where is /var/log/boot?
* And last there is no questions about locales (dpkg-reconfigure locales).
So you have to add locales by yourself and choose your standard locale (in
case you wanted UTF8 or something like that) for example.

#
#
#

Despite of all this stuff I enjoyed a quite easy installation and hope that
you will continue with this great work.

For further questions don't hesitate to write vampir@gmx.net (in English or
German)

-- 
+++ NEU bei GMX und erstmalig in Deutschland: TÜV-geprüfter Virenschutz +++
100% Virenerkennung nach Wildlist. Infos: http://www.gmx.net/virenschutz
[bug.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#238750; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 238750@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 238750@bugs.debian.org
Cc: vampir@gmx.net
Subject: categorising installation report
Date: Thu, 18 Mar 2004 16:30:14 -0500
[Message part 1 (text/plain, inline)]
> * When I have selected one http mirror the installation routine moves along
> to the software selection without asking whether I want to add an additional
> mirror. This function existed in Beta2 of the installer.

That was a bug in beta2. Belive me, it confuses more people than it helps.

> * A hint about Lilo is displayed that it has to be executed before using it,
> but I already installed GRUB. Wouldn't it be better to remove this hint?

Yes, apparently that change didn't quite happen in time for beta 3, it seems to
be fixed in the archive however.

> * At the selection of the desired X server driver there is a wrong(?)
> preselection, namely vesa. Knoppix and SuSE Linux both recommend the savage driver.
> 
> * After Restart one has a pleasant surprise: The X-server configuration
> didn't work. Modifying of /etc/X11/XF86Config-4 was necessary. I had/wanted to
> change the default colour depth from 24 to 16 and for each colour depth the
> resolution from a maximum of 800x600 to 1024x768.
> * Additionaly there was a wrong keyboard layout chosen. The layout was us,
> pc104, xfree86, but I wanted de, nodeadkeys, pc105, xfree86. After these
> modifications everything worked just fine.

These are bugs in X and have been cloned off and sent to the maintainer 
of X. You will get separate notifications if these bugs are closed.

> * Another problem is that there exist no entries for the cdrom and the
> floppy drive in the /etc/fstab. There exist the folders /floppy and /cdrom why
> enter the fstab entries automatically?

This is a known bug in beta 3 of the installer.

> * Another thing was missing, which I already noticed in Beta2: There is no
> questin whether someone would like to turn of pcmcia when updating. This was
> and is the case for the english installation. The German installation from
> Beta2 did ask this question. You can manually configure this by dpkg-reconfigure
> pcmcia-cs.

We shouldn't install pcmcia-cs unless it's needed, but in beta3, we always
install it. This has already been fixed in CVS.

> * By the way: Where is /var/log/boot?

Unfortunatly bootlogd is not enabled by default anymore. You can turn 
it back on by editing /etc/default/bootlogd.

> * And last there is no questions about locales (dpkg-reconfigure locales).
> So you have to add locales by yourself and choose your standard locale (in
> case you wanted UTF8 or something like that) for example.

Didn't the installer use the locale matching the language you chose at the very
beginning of the install? It should be all set up in /etc/locale.gen for you.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Bug 238750 cloned as bug 238777. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 238750 cloned as bug 238778. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `xserver-xfree86'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#238778; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 238778@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 238778@bugs.debian.org
Subject: Re: Processed: clone to X
Date: Mon, 22 Mar 2004 16:13:20 -0500
[Message part 1 (text/plain, inline)]
Branden Robinson wrote:
> If someone from d-i could give this bug (#238778) a quick briefing on
> what d-i keyboard layout info is available, we'll do our best here.

A system installed with d-i (and with base-config still installed) will
have a debian-installer/keymap item in the debconf database. The value
of that item will be the keymap the user chose, something like "us" or
"dvorak", or "de-latin1-nodeadkeys". 

To map this to a keymap from /usr/share/keymaps/ and set up the console
keymap, we use this method:

        db_get debian-installer/keymap
        KEYMAP=$(find /usr/share/keymaps/ -name "$RET.kmap*")

        if [ ! -z "$KEYMAP" ]; then
                install-keymap $KEYMAP >/dev/null || true
        fi

I have no idea what will be feasable to do with X keymaps.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#238778; Package xserver-xfree86. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 238778@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Joey Hess <joeyh@debian.org>, 238778@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#238778: Processed: clone to X
Date: Tue, 23 Mar 2004 00:34:32 -0500
[Message part 1 (text/plain, inline)]
tag 238778 + help
thanks

On Mon, Mar 22, 2004 at 04:13:20PM -0500, Joey Hess wrote:
> Branden Robinson wrote:
> > If someone from d-i could give this bug (#238778) a quick briefing on
> > what d-i keyboard layout info is available, we'll do our best here.
> 
> A system installed with d-i (and with base-config still installed) will
> have a debian-installer/keymap item in the debconf database. The value
> of that item will be the keymap the user chose, something like "us" or
> "dvorak", or "de-latin1-nodeadkeys". 
> 
> To map this to a keymap from /usr/share/keymaps/ and set up the console
> keymap, we use this method:
> 
>         db_get debian-installer/keymap
>         KEYMAP=$(find /usr/share/keymaps/ -name "$RET.kmap*")
> 
>         if [ ! -z "$KEYMAP" ]; then
>                 install-keymap $KEYMAP >/dev/null || true
>         fi

I see.  So, basically, d-i is just using console-data's schema straight
out of the box with no abstraction layer on top.

This is not ideal for supporting X keyboard configuration as well.

> I have no idea what will be feasable to do with X keymaps.

A gigantic mapping table, I guess.  :(

-- 
G. Branden Robinson                |     The Rehnquist Court has never
Debian GNU/Linux                   |     encountered a criminal statute it
branden@debian.org                 |     did not like.
http://people.debian.org/~branden/ |     -- John Dean
[signature.asc (application/pgp-signature, inline)]

Tags added: help Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 238778 242605. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 238778 242321 242605. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 238778 239827 242321 242605. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 238778 239827 242321 242605 263399. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Alexander Schmehl <alexander@schmehl.info>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Patrick Tischler" <vampir@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #51 received at 242605-close@bugs.debian.org (full text, mbox):

From: Alexander Schmehl <alexander@schmehl.info>
To: 242605-close@bugs.debian.org
Subject: housekeeping of old bugs
Date: Thu, 30 Mar 2006 03:36:20 +0200
[Message part 1 (text/plain, inline)]
Hi!

Taking a look at old bug reports I send, I think this one can be closed
by now.


Yours sincerely,
  Alexander
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 11:21:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:24:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.